Commit dea221af authored by Till Bald's avatar Till Bald

raise runtime error when using old python version

parent 743e724a
Pipeline #9336701 passed with stages
in 65 minutes and 54 seconds
......@@ -50,6 +50,10 @@ import proteomicsKnowledge
import pymzml
# pylint: enable=wrong-import-position
# Ensure the user is running the version of python we require.
if not hasattr(sys, "version_info") or sys.version_info < (3,0):
raise RuntimeError("Crosslinx requires Python 3.0 or later.")
PROTON_MASS = proteomicsKnowledge.PROTON_MASS
PROTON_MASS_INTERNAL_PRECISION = proteomicsKnowledge.proteomicsKnowledge[
'protonMass_internal']
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment